import config from "@/config"
import http from "@/utils/request"

export default {
    list: {
        url: `${config.API_URL}/dic/list`,
        name: "-",
        get: async function(data={}){
            return await http.get(this.url, data);
        }
    },
    save: {
        url: `${config.API_URL}/dic/save`,
        name: "-",
        post: async function(data={}){
            return await http.post(this.url, data);
        }
    },
    subSave: {
        url: `${config.API_URL}/dic/sub`,
        name: "-",
        post: async function(data={}){
            return await http.post(this.url, data);
        }
    },
    del: {
        url: `${config.API_URL}/dic/del`,
        name: "-",
        post: async function(data={}){
            return await http.post(this.url, data);
        }
    },
    subDel: {
        url: `${config.API_URL}/dic/sub_del`,
        name: "-",
        post: async function(data={}){
            return await http.post(this.url, data);
        }
    }
}
